Subject: Re: bug#35408: External monitor not working with GDM

From: Ludovic Courtès <[email-masked]>
Date: Thu, 02 May 2019 17:20:12 +0200

Ben Sturmfels <[email-masked]> skribis:

>> On Fri, 26 Apr 2019, Ludovic Courtès wrote:
>>> Ben Sturmfels <[email-masked]> skribis:
>
>>>> [   448.627] (II) RADEON: Driver for ATI/AMD Radeon chipsets:
>
>>> It looks like you have an AMD Radeon graphics card, is that right?  Did
>>> you pass “modprobe.blacklist=radeon” on the kernel command line, or
>>> something similar?
>>>
>>> Apparently some of these AMD graphics cards are not quite supported by
>>> free software, so that might be the issue here.
>>
>> Whoops, sorry I'm being unintentionally misleading - I shuttle my hard
>> drive across from my X200 into an F2A85-M motherboard at work, which has
>> Radeon HD 8470D. It's always just worked with Slim on Guix and Trisquel
>> 7/8.
>>
>> I'll try the modprobe.blacklist though.
>
> I tried the modprobe.blacklist=radeon in the kernel line, but GDM still
> did it's looping thing.

What .desktop files to you have under /run/current-system/profile?

There was a bug whereby GDM would enter an infinite loop when no
.desktop files were provided: <https://issues.guix.info/issue/35068>.

Ludo’.